server:
    servlet:
        contextPath: /api                
        encoding:
            charset: UTF-8
            enabled: true
            force: true
    port: 8090
    error:
        include-message: always
    tomcat:
        connection-timeout: 300000
spring:
    datasource:
        jdbc-url: jdbc:mysql://localhost:3306/lionerdb?useUnicode=true&characterEncoding=UTF8&serverTimezone=GMT%2B8
        username: root
        password: cFDp7988vc+$]
        
    servlet:
        multipart:
            max-file-size: 500MB
            max-request-size: 600MB
    jpa:
        hibernate:
            naming:
                physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
        database-platform: org.hibernate.dialect.MySQL8Dialect
        properties:
            hibernate:
                dialect:
                    storage_engine: innodb
    messages:
        basename: i18n/messages
        use-code-as-default-message: true
        fallback-to-system-locale: false

logging:
    config: 'classpath:log4j2.yml'